From Fedora Project Wiki

< User:Mmaslano

Revision as of 12:49, 11 April 2014 by Mmaslano (talk | contribs) (v8314)

ruby193

Names

Maintainer Name - mmaslano@redhat.com

Maintainer2 Name - I need to persuade someone from Cloud who will use it

Detailed Description

Main ruby package in version 1.9.3 from favourite SCL ruby193. According to Fedora guidelines was ruby193 collection split into ruby193 SCL and railsX SCL. Be careful if your application is using ruby193 SCL in EL releases, you might need to change your wrapper scripts (if you have any). For completely working collections you will also need v8 SCL, which is used only for execution of javascripts.

Packages in the Platform

ruby193 ruby193-ruby

Compatibility Guarantees

No changes are planned. Only new patchsets fixing serious bugs can be applied. Ruby is releasing patchset instead of minor bugfix release.

rails328

Maintainer Name - mmaslano@redhat.com

Maintainer2 Name - I need to persuade someone from Cloud who will use it

Detailed Description

Main ruby package in version 1.9.3 from favourite SCL ruby193. According to Fedora guidelines was ruby193 collection split into ruby193 SCL and railsX SCL. Be careful if your application is using ruby193 SCL in EL releases, you might need to change your wrapper scripts (if you have any). For completely working collections you will also need v8 SCL, which is used only for execution of javascripts.

Packages in the Platform

rails328

rail328-rubygem-actionmailer rail328-rubygem-actionpack rail328-rubygem-activemodel rail328-rubygem-activerecord rail328-rubygem-activeresource rail328-rubygem-activesupport rail328-rubygem-arel rail328-rubygem-bacon rail328-rubygem-bcrypt-ruby rail328-rubygem-bson rail328-rubygem-bson_ext rail328-rubygem-builder rail328-rubygem-bundler rail328-rubygem-coffee-rails rail328-rubygem-coffee-script rail328-rubygem-coffee-script-source rail328-rubygem-diff-lcs rail328-rubygem-erubis rail328-rubygem-execjs rail328-rubygem-fakeweb rail328-rubygem-hike rail328-rubygem-http_connection rail328-rubygem-i18n rail328-rubygem-introspection rail328-rubygem-journey rail328-rubygem-jquery-rails rail328-rubygem-mail rail328-rubygem-metaclass rail328-rubygem-mime-types rail328-rubygem-mocha rail328-rubygem-mongo rail328-rubygem-multi_json rail328-rubygem-net-http-persistent rail328-rubygem-passenger rail328-rubygem-polyglot rail328-rubygem-rack rail328-rubygem-rack-cache rail328-rubygem-rack-protection rail328-rubygem-rack-ssl rail328-rubygem-rack-test rail328-rubygem-rails rail328-rubygem-railties rail328-rubygem-ref rail328-rubygem-rspec rail328-rubygem-rspec-core rail328-rubygem-rspec-expectations rail328-rubygem-rspec-mocks rail328-rubygem-sass rail328-rubygem-sass-rails rail328-rubygem-sinatra rail328-rubygem-sprockets rail328-rubygem-sqlite3 rail328-rubygem-test_declarative rail328-rubygem-therubyracer rail328-rubygem-thor rail328-rubygem-tilt rail328-rubygem-treetop rail328-rubygem-tzinfo rail328-rubygem-uglifier rail328-rubygem-ZenTest

v8314

Maintainer Name - mmaslano@redhat.com

Maintainer2 Name - I need to persuade someone from Cloud who will use it

Detailed Description

The v8 collection is used just only to support execution of javascripts. Usually is used v8. The rails328 SCL is tested with this precise version.

Packages in the Platform

v8314

v8314-v8